﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Net;
using System.IO;

namespace CreateResults
{
    public partial class Form1 : Form
    {

        delegate void SetPicture(Image setimg);
        delegate void Disable();
        //int rcl = -1;
        DataGridViewCellMouseEventArgs rcl;

        string pictureaddress = "";
        string top = "";
        string bottom = "";
        List<string> countries = new List<string>();

        //string demospath = "";
        class demo 
        {
            public string fullname = "";
            public string mapname = "";
            public string physic = "";
            public string time = "";
            public string name = "";
            public string country = "";
            public string description = "";
        }

        List<demo> vq3recs = new List<demo>();
        List<demo> cpmrecs = new List<demo>();

        public Form1()
        {
            InitializeComponent();
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            countries = addressCountry();


            dataGridView1.Rows.Clear();
            dataGridView1.Rows.Add(2);
            dataGridView1.Rows[0].Cells[0].Value = "Start:";
            dataGridView1.Rows[1].Cells[0].Value = "End:";

            dataGridView2.Rows.Clear();
            dataGridView2.Rows.Add(4);
            //dataGridView2.Rows[2].Cells[0].Value = "Инфа о карте";
            
            dataGridView2.Rows[0].Cells[0].Value = "Map:";
            dataGridView2.Rows[1].Cells[0].Value = "Mapper:";
            dataGridView2.Rows[2].Cells[0].Value = "Размер:";
            dataGridView2.Rows[3].Cells[0].Value = "Ссылка:";
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            Form2 insertaddr = new Form2();

            if (insertaddr.ShowDialog() == DialogResult.OK) 
            {
                Thread thr1 = new Thread(delegate() { loadScreen(insertaddr.address); });
                thr1.Start();
                pictureaddress = insertaddr.address;
                label3.Text = pictureaddress;
            }


        }

        private void risuper(Image immg)
        {
            pictureBox1.Image = immg;
        }
        private void disurl() 
        {
            label3.Visible = false;
        }

        private void loadScreen(string URL) 
        {
            try
            {
                Uri urr = new Uri(URL);
                HttpWebRequest req = (HttpWebRequest)WebRequest.Create(urr);
                SetPicture uper = new SetPicture(risuper);
                HttpWebResponse resp = (HttpWebResponse)req.GetResponse();
                pictureBox1.Invoke(uper, Bitmap.FromStream(resp.GetResponseStream(), true, false));
                resp.Close();
                Disable disaburl = new Disable(disurl);
                label3.Invoke(disaburl);
                    
            }
            catch (Exception ex) { MessageBox.Show(ex.Message,"Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Warning); }
            
        }

        private void groupBox2_Enter(object sender, EventArgs e)
        {
            //Form2 insertaddr = new Form2();
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBox1.Checked == true)
            {
                groupBox1.Enabled = false;
                groupBox2.Enabled = false;
            }
            else 
            {
                groupBox1.Enabled = true;
                groupBox2.Enabled = true;
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form2 folderfind = new Form2();
            folderfind.label1.Text = "Папка:";
            folderfind.Text = "Введите директорию";
            folderfind.button1.Text = "Обзор";
            folderfind.isbrows = 1;

            if (folderfind.ShowDialog() == DialogResult.OK) 
            {
                DirectoryInfo demospath = new DirectoryInfo(folderfind.address);
                inserttable("[df.vq3]", dataGridView3, demospath);
                inserttable("[df.cpm]", dataGridView4, demospath);
            }
        }


        private bool isname(string name, DataGridView grid) 
        {
            for (int i = 0; i < grid.Rows.Count; i++)
            {
                if (grid.Rows[i].Cells[3].Value.ToString() == name) return true;
            }
            return false;
        }


        private void inserttable(string physic, DataGridView grid, DirectoryInfo demospath) 
        {
            grid.Rows.Clear();
            int i = 0;
            foreach (FileInfo file in demospath.GetFiles())
            {
                if (file.Name.IndexOf(physic) > 0) 
                {
                    demo dem = getdemo(file.Name);


                    if (!isname(dem.name, grid))
                    {
                        i++;
                        if (physic == "[df.vq3]") vq3recs.Add(dem);
                        else cpmrecs.Add(dem);

                        grid.Rows.Add();
                        grid.Rows[i - 1].Cells[2].Value = dem.country;
                        grid.Rows[i - 1].Cells[3].Value = dem.name;
                        grid.Rows[i - 1].Cells[4].Value = dem.time;
                        grid.Rows[i - 1].Cells[5].Value = textBox1.Text + dem.fullname;
                    }
                }
            }
            setnumbers(grid);

        }


        private void setnumbers (DataGridView grid)
        {
            for (int i = 1; i <= grid.Rows.Count; i++) 
            {
                if (i > 9) { grid.Rows[i - 1].Cells[0].Value = i.ToString(); }
                else { grid.Rows[i - 1].Cells[0].Value = "0" + i.ToString(); }
                
                if (i > 1)
                {
                    if (grid.Rows[i - 1].Cells[4].Value.ToString() == grid.Rows[i - 2].Cells[4].Value.ToString())
                        grid.Rows[i - 1].Cells[0].Value = grid.Rows[i - 2].Cells[0].Value;
                }
            }
        }



        private demo getdemo(string str) 
        {
            demo dem = new demo();
            dem.fullname = str;
            try
            {
                int i1 = 0;
                int i2 = 0;
                int i3 = 0;
                int i4 = 0;
                int i5 = 0;
                int i6 = 0;
                i1 = str.IndexOf('[');
                i2 = str.IndexOf(']', i1);
                i3 = str.IndexOf('(', i2);
                i4 = str.IndexOf('.', i3);
                i5 = str.IndexOf(')', i4);
                i6 = str.LastIndexOf('.');
                //i7 = str.IndexOf('-', i4);
                
                
                dem.mapname = str.Substring(0, i1);
                dem.physic = str.Substring(i1 + 4, i2 - (i1 + 4));
                dem.time = str.Substring(i2 + 1, i3 - (i2 + 1));

                if(dem.time.Substring(0,4) =="00.0")dem.time = dem.time.Substring(4);
                else 
                    if(dem.time.Substring(0,3) =="00.")dem.time = dem.time.Substring(3);
                    else
                        if (dem.time.Substring(0, 1) == "0") dem.time = dem.time.Substring(1);


                if (i4 == i6)
                {
                    dem.name = str.Substring(i3 + 1, i4 - (i3 + 2));
                    dem.country = "";
                }
                else
                {
                    dem.name = str.Substring(i3 + 1, i4 - (i3 + 1));
                    dem.country = str.Substring(i4 + 1, i5 - (i4 + 1));
                }
                dem.description = str.Substring(i6 + 1, str.Length - (i6 + 1));

            }
            catch(Exception ex) 
            {
                MessageBox.Show("Ошибка при загрузке демки: " + str, "Ошибка");
            }


            return dem;
        }

        private List<string> addressCountry() 
        {
            List<string> table = new List<string>();
            string count = CreateResults.Properties.Resources.TextFile1;
            
            string tmp = "";
            int i = 0;

            while (i != -1)
            {
                i = count.IndexOf('\n');
                if (i != -1) tmp = count.Substring(0, i - 1);
                else tmp = count;
                table.Add(tmp);
                count = count.Substring(i + 1);
            }

            return table;
        }

        private void dataGridView3_CellValueChanged(object sender, DataGridViewCellEventArgs e)
        {
            setflag(e, dataGridView3);
        }

        private void setflag(DataGridViewCellEventArgs e, DataGridView grid) 
        {
            if (e.ColumnIndex == 2)
            {
                bool find = false;
                if (grid.Rows.Count > 0 && e.RowIndex >= 0)
                    if (grid.Rows[e.RowIndex].Cells[e.ColumnIndex].Value != null)
                    {
                        string yach = grid.Rows[e.RowIndex].Cells[e.ColumnIndex].Value.ToString().ToLower();
                        foreach (string str in countries)
                        {
                            if (str.ToLower().Replace(" ","").IndexOf(yach.Replace("-","")) >= 0)
                            {
                                find = true;
                                grid.Rows[e.RowIndex].Cells[1].Value = str.Substring(0, 2);
                            }
                        }
                        if (yach.IndexOf("russia") >= 0) { find = true; grid.Rows[e.RowIndex].Cells[1].Value = "RU"; }
                        if (yach.Length == 2) 
                        {
                            foreach (string str in countries)
                            {
                                if (str.ToLower().Replace(" ", "").IndexOf(yach) == 0)
                                {
                                    find = true;
                                    grid.Rows[e.RowIndex].Cells[1].Value = str.Substring(0, 2);
                                }
                            }
                        }
                        if (find == false)
                        {
                            if (yach.IndexOf("-",1) > 0) 
                            {
                                int p = yach.IndexOf("-", 1);
                                string p1 = "", p2 = "";
                                p1 = yach.Substring(0,p);
                                if(p+1<yach.Length)
                                    p2 = yach.Substring(p + 1);
                                foreach (string str in countries) 
                                {
                                    if (str.ToLower().Replace(" ", "").IndexOf(p1.Replace("-", "")) >= 0) 
                                    {
                                        find = true;
                                        grid.Rows[e.RowIndex].Cells[1].Value = str.Substring(0, 2);
                                    }
                                }
                                if(find == false)
                                    foreach (string str in countries)
                                    {
                                        if (str.ToLower().Replace(" ", "").IndexOf(p2.Replace("-", "")) >= 0)
                                        {
                                            find = true;
                                            grid.Rows[e.RowIndex].Cells[1].Value = str.Substring(0, 2);
                                        }
                                    }
                                
                            }
                        }
                        if (find == false) grid.Rows[e.RowIndex].Cells[1].Value = "EU";


                    }
                    else grid.Rows[e.RowIndex].Cells[1].Value = "EU";
            }
        }


        private void dataGridView4_CellValueChanged(object sender, DataGridViewCellEventArgs e)
        {
            setflag(e, dataGridView4);
        }

        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (richTextBox1.Text.Length < 1)
            {
                generate();
            }
            if (tabControl1.SelectedIndex == 1) 
            {
                if(webBrowser1.DocumentText!=top + richTextBox1.Text + bottom)
                    webBrowser1.DocumentText = top + richTextBox1.Text + bottom;
                webBrowser1.Document.Focus();
            }
            if (tabControl1.SelectedIndex == 2)
                richTextBox1.Focus();
            if (tabControl1.SelectedIndex == 3)
            { 
                generatebd();
                richTextBox2.Focus();
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            generate();
        }
        private string nonull(object str) 
        {
            if (str== null) return "";
            else return str.ToString();
        }
        private void generate() 
        {
            top = "<html>\n<head>\n\n<link rel=\"stylesheet\" href=\"http://www.defrag.ru/css/style.css\" type=\"text/css\">\n<script type=\"text/javascript\" language=\"JavaScript\" src=\"http://defrag.ru/adds.js\"></script>\n</head>\n<body topmargin=\"0\" leftmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" bgcolor=\"#ffffff\">  \n<!-- div end -->\n<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" align=\"center\" width=\"670\">\n<tr>\n<td width=\"670\"  valign=\"top\">\n\n<TABLE cellSpacing=0 cellPadding=0 width=\"100%\" border=0>\n<TBODY>\n            <tr valign=\"top\"> \n            <td height=\"20\" class=\"newstitle\" width=\"2\"><img src=\"http://defrag.ru/images/zag_left_tp.gif\" width=\"2\" alt=\"\"></td>\n            <td height=\"20\" class=\"newstitle\" nowrap width=\"99%\" background=\"http://defrag.ru/images/zag_left_bg.gif\">&nbsp;&nbsp;Заголовок новости&nbsp;</td>\n        <td height=\"20\" class=\"newstitle\" width=\"20\"><img src=\"http://defrag.ru/images/zag_cent.gif\" width=\"22\" alt=\"\"></td>\n            <td height=\"20\" class=\"newsdate\" width=\"170\" nowrap align=\"right\" background=\"http://defrag.ru/images/zag_right_bg.gif\">Дата новости&nbsp;&nbsp;</td>\n        <td height=\"20\" class=\"newstitle\" width=\"2\"><img src=\"http://defrag.ru/images/zag_right_tp.gif\" width=\"2\" alt=\"\"></td>\n            </tr>\n</TBODY>\n</TABLE>\n\n<TABLE cellSpacing=0 cellPadding=0 width=\"100%\" border=0>\n<TBODY>\n            <tr valign=\"top\"> \n            <td height=\"11\" class=\"newstitle\" width=\"25\"><img src=\"http://defrag.ru/images/zag_shad_left.gif\" alt=\"\"></td>\n            <td height=\"11\" class=\"newstitle\" width=\"99%\" background=\"http://defrag.ru/images/zag_shad_center.gif\"></td>\n        <td height=\"11\" class=\"newstitle\" width=\"25\"><img src=\"http://defrag.ru/images/zag_shad_right.gif\" alt=\"\"></td>\n            </tr>\n</TBODY>\n</TABLE>\n</TD>\n</TR>\n<TR>\n<TD>\n<div align=\"justify\" style=\"margin-left: 5px\">";

            richTextBox1.Text = "<table width=98% cellspacing=1 cellpadding=0 border=0 class=\"page_content_ramka\"><tr><td class=\"blockContent\" bgcolor=\"#FFFFFF\" vAlign=\"top\">";

            if (!checkBox1.Checked)
            {
                richTextBox1.Text += "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\">\n<tr>\n<td width=\"35%\" class=\"tabbg2\" align=\"center\"><font color=#0000ff>";

                richTextBox1.Text += nonull(dataGridView1.Rows[0].Cells[0].Value);
                richTextBox1.Text += "</td><td class=\"tabbg2\" align=\"center\" width=\"100%\"><b><nobr>";

                richTextBox1.Text += nonull(dataGridView1.Rows[0].Cells[1].Value);
                richTextBox1.Text += "</nobr></b></td><td rowspan=\"6\" align=\"right\"><img height=\"147\" src=\"";
                richTextBox1.Text += pictureaddress;
                richTextBox1.Text += "\" alt=\"Screenshot\">\n</td>\n</tr>\n<tr>\n<td class=\"tabbg2\" align=\"center\"><font color=#ff0000>";

                richTextBox1.Text += nonull(dataGridView1.Rows[1].Cells[0].Value);
                richTextBox1.Text += "</td><td class=\"tabbg2\" align=\"center\"><b><nobr>";
                richTextBox1.Text += nonull(dataGridView1.Rows[1].Cells[1].Value);
                richTextBox1.Text += "</nobr></b></td>\n</tr>\n<tr>\n<td colspan=\"2\" class=\"tbl_head_bg\" align=\"center\">&nbsp;&nbsp;<b>Инфа о карте</b></td>\n</tr>\n<tr>\n<td class=\"tabbg2\" align=\"center\">";

                richTextBox1.Text += nonull(dataGridView2.Rows[0].Cells[0].Value);
                richTextBox1.Text += "</td><td class=\"tabbg2\" align=\"center\">";
                richTextBox1.Text += nonull(dataGridView2.Rows[0].Cells[1].Value);
                richTextBox1.Text += "</td>\n</tr>\n<tr>\n<td class=\"tabbg2\" align=\"center\">";
                richTextBox1.Text += nonull(dataGridView2.Rows[1].Cells[0].Value);
                richTextBox1.Text += "</td><td class=\"tabbg2\" align=\"center\">";
                richTextBox1.Text += nonull(dataGridView2.Rows[1].Cells[1].Value);
                richTextBox1.Text += "</td>\n</tr>\n<tr>\n<td class=\"tabbg2\" align=\"center\">Download:</td><td class=\"tabbg2\" align=\"center\"><a href=\"";

                richTextBox1.Text += nonull(dataGridView2.Rows[3].Cells[1].Value);
                richTextBox1.Text += "\">";
                richTextBox1.Text += nonull(dataGridView2.Rows[2].Cells[1].Value);
                richTextBox1.Text += "</a></td>\n</tr>\n<td colspan=\"3\">\n<table width=100% cellspacing=1 cellpadding=0 border=0 class=\"page_content_ramka\">\n<td class=\"page_content_fon\" vAlign=\"top\">";
            }


            richTextBox1.Text += "<table width=100% cellspacing=2 cellpadding=2 border=0>\n<tr>\n<td colspan=\"3\" class=\"tbl_head_bg\"><font size=2 color=#222222><b>VQ3</b></td>\n</tr>\n<tr>\n<td class=\"tabbg2\" width=\"10%\" align=\"center\"><b>Place</b></td><td class=\"tabbg2\" width=\"70%\" align=\"center\"><b>Nickname</b></td><td class=\"tabbg2\" width=\"20%\" align=\"center\"><b>Time</b></td>\n</tr>\n";

            for(int i=0;i<dataGridView3.Rows.Count;i++)
            {
                richTextBox1.Text += "<tr>\n<td class=\"tabbg2\" align=\"center\"><b>";
                if (checkBox2.Checked)
                {
                    if (Convert.ToInt32(nonull(dataGridView3.Rows[i].Cells[0].Value)) < 4)
                        richTextBox1.Text += getcub(Convert.ToInt32(nonull(dataGridView3.Rows[i].Cells[0].Value)));
                    else
                        richTextBox1.Text += nonull(dataGridView3.Rows[i].Cells[0].Value);
                    richTextBox1.Text += "</b>";
                }
                else 
                {
                    richTextBox1.Text += nonull(dataGridView3.Rows[i].Cells[0].Value);
                    richTextBox1.Text += "</b>";
                }
                if(dataGridView3.Rows[i].Cells[1].Value.ToString().ToLower() == "RS".ToLower())
                    richTextBox1.Text += "</td><td class=\"tabbg2\"><img src=\"https://www.centr.org/resources/skins/centr/images/flags/rs.gif\" alt=\"";
                else 
                    richTextBox1.Text += "</td><td class=\"tabbg2\"><img src=\"http://www.breakdown-hq.com/images/flags/" + nonull(dataGridView3.Rows[i].Cells[1].Value).ToLower() + ".gif\" alt=\"";
                richTextBox1.Text += nonull(dataGridView3.Rows[i].Cells[2].Value) + "\">&nbsp;&nbsp;";
                richTextBox1.Text += nonull(dataGridView3.Rows[i].Cells[3].Value);
                richTextBox1.Text += "</td><td class=\"tabbg2\" align=\"center\"><a href=\"";
                richTextBox1.Text += nonull(dataGridView3.Rows[i].Cells[5].Value);
                richTextBox1.Text += "\" class=\"abc_link\">";
                richTextBox1.Text += nonull(dataGridView3.Rows[i].Cells[4].Value);
                richTextBox1.Text += "</a></td>\n</tr>";
            }

            richTextBox1.Text += "\n</table>\n\n</td>\n\n<td class=\"page_content_fon\" vAlign=\"top\">\n\n<table width=100% cellspacing=2 cellpadding=2 border=0>\n<tr>\n<td colspan=\"3\" class=\"tbl_head_bg\"><font size=2 color=#222222><b>CPM</b></td>\n</tr>\n<tr>\n<td class=\"tabbg2\" width=\"10%\" align=\"center\"><b>Place</b></td><td class=\"tabbg2\" width=\"70%\" align=\"center\"><b>Nickname</b></td><td class=\"tabbg2\" width=\"20%\" align=\"center\"><b>Time</b></td>\n</tr>";

            for (int i = 0; i < dataGridView4.Rows.Count; i++)
            {
                richTextBox1.Text += "<tr>\n<td class=\"tabbg2\" align=\"center\"><b>";
                if (checkBox2.Checked)
                {
                    if (Convert.ToInt32(nonull(dataGridView4.Rows[i].Cells[0].Value)) < 4)
                        richTextBox1.Text += getcub(Convert.ToInt32(nonull(dataGridView4.Rows[i].Cells[0].Value)));
                    else
                        richTextBox1.Text += nonull(dataGridView4.Rows[i].Cells[0].Value);
                    richTextBox1.Text += "</b>";
                }
                else
                {
                    richTextBox1.Text += nonull(dataGridView4.Rows[i].Cells[0].Value);
                    richTextBox1.Text += "</b>";
                }
                if (dataGridView4.Rows[i].Cells[1].Value.ToString().ToLower() == "RS".ToLower())
                    richTextBox1.Text += "</td><td class=\"tabbg2\"><img src=\"https://www.centr.org/resources/skins/centr/images/flags/rs.gif\" alt=\"";
                else 
                    richTextBox1.Text += "</td><td class=\"tabbg2\"><img src=\"http://www.breakdown-hq.com/images/flags/" + nonull(dataGridView4.Rows[i].Cells[1].Value).ToLower() + ".gif\" alt=\"";
                richTextBox1.Text += nonull(dataGridView4.Rows[i].Cells[2].Value) + "\">&nbsp;&nbsp;";
                richTextBox1.Text += nonull(dataGridView4.Rows[i].Cells[3].Value);
                richTextBox1.Text += "</td><td class=\"tabbg2\" align=\"center\"><a href=\"";
                richTextBox1.Text += nonull(dataGridView4.Rows[i].Cells[5].Value);
                richTextBox1.Text += "\" class=\"abc_link\">";
                richTextBox1.Text += nonull(dataGridView4.Rows[i].Cells[4].Value);
                richTextBox1.Text += "</a></td>\n</tr>";
            }
            richTextBox1.Text += "</table>\n";
            if (!checkBox1.Checked) richTextBox1.Text += "</td>\n</table>\n</td>\n</table>\n";
            richTextBox1.Text += "</td>\n</tr>\n</table>";
            bottom = "\n</td>\n</tr>\n</table>\n</td>\n</tr>\n</table>\n</TD></TR>\n</TABLE>\n</td>\n</tr>\n</table>\n</td>\n</tr>\n</table>\n</body>\n</html>";


            richTextBox1.Text = richTextBox1.Text.Replace("\n", "");
            generatebd();
        }

        private void generatebd() 
        {
            string str = richTextBox1.Text;
            str = str.Replace("\n", "<br>");
            str = "<style type=\"text/css\">\n.newtable {border: 1px solid #000; border-collapse: collapse; margin: 0 auto; }\n.newtable2 td {background: #222; border: 0px solid #333; }\n.newtable3 {background: #333}\n</style>\n" + str;
            str = str.Replace("border=\"0\"><tr><td width=\"35%\"", "border=\"0\" class=\"newtable\"><tr><td width=\"35%\"");
            str = str.Replace("<td colspan=\"2\" class=\"tbl_head_bg\" align=\"center\">", "<td colspan=\"2\" align=\"center\" class=\"newtable3\">");
            str = str.Replace("<td class=\"page_content_fon\" vAlign=\"top\"><table width=100% cellspacing=2 cellpadding=2 border=0><tr><td colspan=\"3\" class=\"tbl_head_bg\">", "<td class=\"page_content_fon\" vAlign=\"top\"><table width=100% cellspacing=2 cellpadding=2 border=0 class=\"newtable2\"><tr><td colspan=\"3\">");
            str = str.Replace("Инфа о карте", "Map information");
            str = str.Replace("bgcolor=\"#FFFFFF\"", "");
            str = str.Replace("222222", "FFFFFF");
            str = str.Replace("<table width=98% cellspacing=1 cellpadding=0 border=0 class=\"page_content_ramka\"><tr><td width=\"250\" ><img height=\"185\" width=\"250\" src=", "<table width=98% cellspacing=1 cellpadding=0 border=0 class=\"newtable\"><tr><td width=\"250\"><img height=\"185\" width=\"250\" src=");
            str = str.Replace("<td class=\"blockContent\"  vAlign=\"top\"><table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"tabbg2\" width=\"35%\" align=\"center\"><font color=#0000ff>", "<td class=\"blockContent\" vAlign=\"top\"><table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\" class=\"newtable2\"><tr><td class=\"tabbg2\" width=\"35%\" align=\"center\"><font color=#0000ff>");
            richTextBox2.Text = str;
        }

        private string getcub(int num) 
        {
            string str = "";
            switch (num)
            {
                case 1: str = "&nbsp<img src=\"http://www.breakdown-hq.com/images/stuff/golden.gif\" alt=\"Golden\">"; break;
                case 2: str = "&nbsp<img src=\"http://www.breakdown-hq.com/images/stuff/silver.gif\" alt=\"Silver\">"; break;
                case 3: str = "&nbsp<img src=\"http://www.breakdown-hq.com/images/stuff/bronze.gif\" alt=\"Bronze\">"; break;
            }

            return str;
        }
        
        
        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            for (int i = 0; i < dataGridView3.Rows.Count; i++) 
            {
                dataGridView3.Rows[i].Cells[5].Value = textBox1.Text + vq3recs[i].fullname;
            }

            for (int i = 0; i < dataGridView4.Rows.Count; i++)
            {
                dataGridView4.Rows[i].Cells[5].Value = textBox1.Text + cpmrecs[i].fullname;
            }
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Form3 info = new Form3();
            info.ShowDialog();
        }






        private void addRowToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form2 insertrows = new Form2();
            insertrows.label1.Text = "amount";
            insertrows.Text = "Сколько строк добавить?";
            insertrows.textBox1.Text = "1";
            insertrows.Width = 215;

            if (insertrows.ShowDialog() == DialogResult.OK)
            {
                int a = -1;
                try
                {
                    a = Convert.ToInt32(insertrows.textBox1.Text);
                }
                catch { }
                for(int i=0;i<a;i++)
                {
                    if(tabControl2.SelectedIndex == 0)
                        dataGridView3.Rows.Add();
                    else
                        dataGridView4.Rows.Add();
                }
            }

        }


        private void rclmcl(DataGridView dataGridView3, MouseEventArgs e) 
        {
            if (e.Button == MouseButtons.Right)
            {
                contextMenuStrip1.Show(MousePosition.X, MousePosition.Y);
                contextMenuStrip1.Items[2].Enabled = false;

                if (dataGridView3.Rows.Count > 0) contextMenuStrip1.Items[1].Enabled = true;
                else contextMenuStrip1.Items[1].Enabled = false;
                rcl = new DataGridViewCellMouseEventArgs(-1, -1, 0, 0, e);
            }
        }


        private void dataGridView3_MouseClick(object sender, MouseEventArgs e)
        {
            rclmcl(dataGridView3, e);
        }

        private void dataGridView3_CellMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            contextMenuStrip1.Items[2].Enabled = true;
            rcl = e;
        }

        private void removeRowsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (tabControl2.SelectedIndex == 0) remr(dataGridView3);
            else remr(dataGridView4);
        }

        private void remr(DataGridView grid) 
        {
            if (rcl.RowIndex >= 0) grid.Rows.RemoveAt(rcl.RowIndex);
            else if (dataGridView3.Rows.Count > 0) { grid.Rows.RemoveAt(grid.Rows.Count - 1); }
            setnumbers(grid);
        }


        private void addRowsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                String str = Clipboard.GetText();

                RichTextBox rt = new RichTextBox();
                rt.Text = str;
                int a = rt.Lines.GetLength(0);
                int b = 0;
                if (tabControl2.SelectedIndex == 0)
                {
                    b = dataGridView3.Rows.Count - rcl.RowIndex;
                    if (b < a) a = b;
                    for (int i = 0; i < a; i++)
                    {
                        dataGridView3.Rows[rcl.RowIndex + i].Cells[rcl.ColumnIndex].Value = rt.Lines[i];
                    }
                }
                else
                {
                    b = dataGridView4.Rows.Count - rcl.RowIndex;
                    if (b < a) a = b;
                    for (int i = 0; i < a; i++)
                    {
                        dataGridView4.Rows[rcl.RowIndex + i].Cells[rcl.ColumnIndex].Value = rt.Lines[i];
                    }
                }

            }
            catch { }
        }

        private void dataGridView4_CellMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            contextMenuStrip1.Items[2].Enabled = true;
            rcl = e;
        }

        private void dataGridView4_MouseClick(object sender, MouseEventArgs e)
        {
            rclmcl(dataGridView4, e);
        }



    }
}
